%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% test_stereo.m
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% CS223b
% Winter '05
%
% Dense stereo correlation driver program
%
% Dan Morris, Stanford University
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Close all figures
close all;

disp('Reading images...');

% Pick a set of images to read...
%im_l = imread('real7L.pgm');
%im_r = imread('real7R.pgm');
im_l = imread('toy3L.pgm');
im_r = imread('toy3R.pgm');

disp('Calling correlation routine...');

% Start a timer; we want to know how long our program is taking...
tic;

% Compute a disparity map...
d = stereo(im_l,im_r);

% Tell us how long the whole process took
toc

disp('Normalizing...');

% Normalize the disparity map to make it look pretty...
d = d * (255/max(max(d)));
figure(1);
imagesc(im_l);
colormap('gray');
figure(2);
imagesc(im_r);
colormap('gray');
figure(3);
imagesc(d);
colormap('gray');

