%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% test_stereoOpt.m
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% CS223b
% Winter '05
%
% Driver for optimized dense stereo correlation function
%
% Dan Morris, Stanford University
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Start a timer; we want to know how long our program is taking...
tic;

% Pick a set of images to read...
left_im = double(imread('real7L.pgm'));
right_im = double(imread('real7R.pgm'));
%left_im = double(imread('toy3L.pgm'));
%right_im = double(imread('toy3R.pgm'));

% Pick a maximum disparity and window size (note that the size here is the
% edge size, not the radius, of the window)
maxdisp = 45;
window_size = 13;

% Should we ask for a left-right consistency check also?
do_consistency = 0;

disp('Starting correlation routine...');
[disp_map, consistency, disp_map_r] = ...
  stereoOpt(left_im,right_im,maxdisp,window_size,do_consistency);
disp('Finished correlation routine...');

% Tell the user how long that took
toc

% Show the user all the pretty pictures
close all;
    
figure(1);
imagesc(left_im);
colormap(gray);
title('Original left image');

figure(gcf+1);
imagesc(right_im);
colormap(gray);
title('Original right image');

figure(gcf+1);
imagesc(disp_map);
colormap(gray);
title('Left-to-right matched disparity map');

if (do_consistency)
  figure(gcf+1);
  imagesc(disp_map_r);
  colormap(gray);
  title('Right-to-left matched disparity map');

  figure(gcf+1);
  imagesc(consistency);
  colormap(gray);
  title('Consistency-checked Left-to-right matched disparity map');
end
